
QGIS Application - Bug report #5480

Map Composer doesn't refresh the legend

2012-04-24 03:12 AM - aperi2007 -

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15102

Description

Hi, using qgis-dev on windows 7.

I create a composer. Add a map object, after this add a legend object.

The legend object is equal to the legend on canvas.

After this I change the name on legend canvas using the "rename".

And I notice the composer is non refreshed I try to click on refresh (update) button on legend tab of composer, but the name of layer is not

refreshed.

So I need to remove the legend object from the composer and add a new legend-object to have the right values.

History

#1 - 2012-04-24 03:41 AM - Paolo Cavallini

- Subject changed from Map Componser dont refresh the legend to Map Composer doesn't refresh the legend

#2 - 2012-04-24 06:15 AM - aperi2007 -

- Assignee set to Marco Hugentobler

#3 - 2012-04-24 06:24 AM - Giovanni Manghi

if this is a regression (since 1.7.4) we should tag this as "blocker".

#4 - 2012-04-28 08:25 PM - Nathan Woodrow

Did it ever update like that.  I don't think it did.  The auto update switch only means layers will be added and removed automatically but changes in styles,

or names of layers, are not changed.

Clicking the node that needs updating and clicking the update button works for me.

Perhaps auto update should update if anything about the layer changes, name, style, etc.

#5 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#6 - 2012-10-06 10:19 AM - Giovanni Manghi

- Category changed from Map Legend to 33

#7 - 2013-06-01 09:03 AM - Giovanni Manghi

- Resolution set to fixed
- Status changed from Open to Closed

"update item" and "update all" in print composer legend work as expected in master.
